Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.conf
Class KodoVersion

    java.lang.Object
      kodo.conf.KodoVersion

    public class KodoVersion

extends Object

This class contains version information for Kodo.

Field Summary
`static int` | `MAJOR_RELEASE`
`static int` | `MINOR_RELEASE`
`static int` | `PATCH_RELEASE`
`static Date` | `RELEASE_DATE`
`static String` | `RELEASE_STATUS`
`static String` | `VENDOR_NAME`
`static String` | `VERSION_ID`
`static String` | `VERSION_NUMBER`

Constructor Summary
`KodoVersion()`

Method Summary
`static Object` | `getInitializationBanner()`
`static void` | `main(String[] args)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VERSION_NUMBER

    public static final String VERSION_NUMBER

### RELEASE_DATE

    public static final Date RELEASE_DATE

### VERSION_ID

    public static final String VERSION_ID

### VENDOR_NAME

    public static final String VENDOR_NAME

See Also:
  Constant Field Values

### MAJOR_RELEASE

    public static final int MAJOR_RELEASE

### MINOR_RELEASE

    public static final int MINOR_RELEASE

### PATCH_RELEASE

    public static final int PATCH_RELEASE

### RELEASE_STATUS

    public static final String RELEASE_STATUS

Constructor Detail

### KodoVersion

    public KodoVersion()

Method Detail

### main

    public static void main(String[] args)

### getInitializationBanner

    public static Object getInitializationBanner()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.